Foxit PDF SDK

Public Member Functions | List of all members
com.foxit.sdk.pdf.EmbeddedFontData Class Reference

## Public Member Functions
| EmbeddedFontData ()
| Constructor.
| EmbeddedFontData (EmbeddedFontData other)
| Constructor, with another embedded font data object. More...
synchronized void | delete ()
| Clean up related C++ resources immediately. More...
WStringArray | getNonstandard_font_name_array ()
| Get font name array of embedded fonts which cannot be replaced by system fonts if they are to be unembeded. More...
WStringArray | getStandard_font_name_array ()
| Get font name array of embedded fonts which are standard fonts and can be replaced by system fonts if they are to be unembedded. More...
void | setNonstandard_font_name_array (WStringArray value)
| Set font name array of embedded fonts which cannot be replaced by system fonts if they are to be unembeded. More...
void | setStandard_font_name_array (WStringArray value)
| Set font name array of embedded fonts which are standard fonts and can be replaced by system fonts if they are to be unembedded. More...

## Detailed Description

This class represents embeded font data which is retrieved from a PDF document. Please refer to function PDFDoc.getEmbeddedFontData .

## Constructor & Destructor Documentation

## ◆ EmbeddedFontData()

com.foxit.sdk.pdf.EmbeddedFontData.EmbeddedFontData | ( | EmbeddedFontData | other | ) |

Constructor, with another embedded font data object.

Parameters

  [in] | other | Another unembedded font data object.

## Member Function Documentation

## ◆ delete()

synchronized void com.foxit.sdk.pdf.EmbeddedFontData.delete | ( |  | ) |

Clean up related C++ resources immediately.

Returns
  None.

Note
  Once this function is called, current object cannot be used anymore.

## ◆ getNonstandard_font_name_array()

com.foxit.sdk.pdf.EmbeddedFontData.getNonstandard_font_name_array | ( |  | ) |

Get font name array of embedded fonts which cannot be replaced by system fonts if they are to be unembeded.

Returns
  Font name array of embedded fonts which cannot be replaced by system fonts if they are to be unembeded.

## ◆ getStandard_font_name_array()

com.foxit.sdk.pdf.EmbeddedFontData.getStandard_font_name_array | ( |  | ) |

Get font name array of embedded fonts which are standard fonts and can be replaced by system fonts if they are to be unembedded.

Returns
  Font name array of embedded fonts which are standard fonts and can be replaced by system fonts if they are to be unembedded.

## ◆ setNonstandard_font_name_array()

com.foxit.sdk.pdf.EmbeddedFontData.setNonstandard_font_name_array | ( | WStringArray | value | ) |

Set font name array of embedded fonts which cannot be replaced by system fonts if they are to be unembeded.

Parameters

  [in] | value | Font name array of embedded fonts which cannot be replaced by system fonts if they are to be unembeded.

Returns
  None.

## ◆ setStandard_font_name_array()

com.foxit.sdk.pdf.EmbeddedFontData.setStandard_font_name_array | ( | WStringArray | value | ) |

Set font name array of embedded fonts which are standard fonts and can be replaced by system fonts if they are to be unembedded.

Parameters

  [in] | value | Font name array of embedded fonts which are standard fonts and can be replaced by system fonts if they are to be unembedded.

Returns
  None.